Package for Archlinux

Asked by Pasquale Marino on 2011-03-30

Hi!
First of all...thank you! I love your application!
By the way my linux distro is Archlinux, and in Archlinux repository, popper is not available. It is available in AUR, but the package is out of date and has got no maintainer...so it's useless.
Please can you make a package ready to install for Archlinux?
I would do it by my self, but I'm not capable of it....

Thank you for your effort.

Question information

Language:
English Edit question
Status:
Answered
For:
Popper Edit question
Assignee:
No assignee Edit question
Last query:
2011-03-30
Last reply:
2011-05-18
Ralf Hersel (ralf.hersel) said : #1

Hello Pasquale
Popper requires the Ubuntu Messaging Menu and the Ubuntu Notification Indicator therefore it will not run in Archlinux. Currently there is no PPA available, we only have the DEB. In version 0.28 we will try to create a PPA but I don't know if we are able to do it.
Regards, Ralf

Patrick Ulbrich (pulb) said : #2

FYI, I forked Pooper to work with GNOME 3 and other distros.
It's available here: https://launchpad.net/mailnag

Thank you very much for answering!!
So the forked popper called Mailnag will have the very same features of original popper?
How do i download and install mailnag? I can't see any available download in the link above.

Thank you so much for your effort!
I really appreciate that.

Patrick Ulbrich (pulb) said : #4

It won't have the very same features due to the limitations of the gnome-shell notification system.
So far it lists all new mails in the messaging tray and provides actions to open the mail client and to close the notification respectively.
There's still work to be done, esp. the configuration dialog is work in progress.
When the 0.1 release will be ready there will be a tarball on the launchpad page, its up to the arch packagagers to make a dist package then (you could also extract the tarball and run the programm from a directory though)

Any news about "mailnag".
In the homepage i can't see any download yet.

Thanks.

Patrick Ulbrich (pulb) said : #6

There is no release yet. To track progress you can subscribe to https://code.launchpad.net/~pulb/mailnag/trunk .
To get the current mailnag code use "bzr lp:mailnag" and run mailnag_config. Some people use it already and it seems to work fine.
Remember that it requires Gnome 3 though and might break with further updates.

Patrick Ulbrich (pulb) said : #7

err the code can be obtained via "bzr branch lp:mailnag"

Can you help with this problem?

Provide an answer of your own, or ask Pasquale Marino for more information if necessary.

To post a message you must log in.